## org.apache.solr.common.util
Class RegexFileFilter

    java.lang.Object
      org.apache.solr.common.util.RegexFileFilter

All Implemented Interfaces:
  FileFilter

    public final class RegexFileFilter

extends Object
implements FileFilter

Accepts any file whose name matches the pattern

Version:
  $Id: RegexFileFilter.java 1065312 2011-01-30 16:08:25Z rmuir $

Constructor Summary
`RegexFileFilter(Pattern regex)`
`RegexFileFilter(String regex)`

Method Summary
`boolean` `accept(File f)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegexFileFilter

    public RegexFileFilter(String regex)

### RegexFileFilter

    public RegexFileFilter(Pattern regex)

Method Detail

### accept

    public boolean accept(File f)

  Specified by:
    `accept` in interface `FileFilter`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2011 Apache Software Foundation. All Rights Reserved.